/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class Supplier extends RelMgmt.Party.PartyRole {
    public Vector calcRevenues() {
        return new Vector();
    }

    public BigDecimal calcAvgPO() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgRFQ() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgRFQAnswer() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgPercentAccepted() {
        return new BigDecimal(0);
    }

    /**  */
    public Vector assessDeliveryTimeliness() {
        return new Vector();
    }

    public Vector listMatlRequestsAsPreferredSupplier() {
        return new Vector();
    }

    public Vector listMatlResCanSupply() {
        return new Vector();
    }

    public Vector listRFQs() {
        return new Vector();
    }

    public Vector listRFQAnswers() {
        return new Vector();
    }

    public Vector listPOs() {
        return new Vector();
    }

    public Vector listDeliveries() {
        return new Vector();
    }

    public static Vector listSuppliers() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private AccountingMgmt.Account.SupplierAccount lnkUnnamed2;

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     */
    private RelMgmt.PersonRole.SupplierPointOfContact supplierAccounts;

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     */
    private RelMgmt.PersonRole.ServiceRep lnkUnnamed;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private FacilityMgmt.FacilityDesc.FacilityDesc lnkUnnamed3;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private MatlResMgmt.RFQ.RFQ lnkUnnamed4;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResMgmt.RFQ.RFQAnswer lnkUnnamed7;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResMgmt.MaterialResource.MatlResSupplySource lnkUnnamed8;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResMgmt.POToSupplier.POToSupplier lnkUnnamed10;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     * @label derivable
     */
    private MatlResMgmt.DeliveryFromSupplier.DeliveryFromSupplier lnkUnnamed11;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     * @label derivable
     */
    private MatlResMgmt.InvoiceFromSupplier.InvoiceFromSupplier lnkUnnamed9;
}


